# ClassTypeMatcher

data class ClassTypeMatcher (val clazz: Class <*>) : TypeMatcher

A TypeMatcher that matches a specific class type.

#### Parameters

clazz

the class type to match.

## Constructors

ClassTypeMatcher
Link copied to clipboard
constructor(clazz: Class <*>)

## Properties

clazz
Link copied to clipboard
val clazz : Class <*>

## Functions

asGenericArray
Link copied to clipboard
fun TypeMatcher . asGenericArray (): GenericArrayTypeMatcher

Creates a GenericArrayTypeMatcher from TypeMatcher.

matches
Link copied to clipboard
open override fun matches (type: Type ): Boolean

Check if the type matches the given type.